wxWidgets-3.1.1 built libs

wxWidgets-3.1.1 is an official development release of the framework made on 2018-02-19.

The official announcement can be read here

This is called development release because it is not fully compatible with 3.0.x (but the list of backwards incompatible changes is very short, so you shouldn't have any problems updating to this version from 3.0.x in practice)

The differences between the built libs packages you'll find here, and the ones provided by the official team are:

  • there is no monolithics builds provided on the official github repository
  • the non-debug builds where made with the DEBUG_FLAG=0 command line parameter (so you'll have to provide the wxDEBUG_LEVEL=0 options to your compiler).

You can find on this page the full changelog.

The libs are available in the following configurations:

  • Gcc-4.8.1-TDM / Gcc-5.1.0-TDM / Gcc-7.2.0 / Ms Visual C++ 2015
  • 32 bits / 64 bits / 32 bits built with the 64 bits compiler (Gcc TDM only)
  • Debug / Release
  • Dynamic / Static
  • Monolithic / Multi-libs

Each archive contains a version "Release" and a version "Debug" of the libs

For the installation, you can refer to the article on this page.

Note that the libs build with Gcc use the "SJLJ" exceptions propagation method for 32 bits builds and "SEH" one for 64 bits (witch is the default mode for the TDM versions).

Also note also that the 32 bits versions of these libs can only be used with the corresponding compiler, even if the 64 bits compiler can use and/or create 32 bits libs and applications:

  • the "Gcc-x.x.x-TDM - 32 bits" binaries can only be used with the 32 bits version of the compiler
  • the "Gcc-x.x.x-TDM - x64 - 32 bits" binaries can only be used with the 64 bits version of the compiler

And the last thing you should note is that the shared 64 bits monolithics packages for Gcc-4.8.1-TDM, and Gcc-5.1.0-TDM are not complete because these compilers are not able to create the debug version of the dll (the link process results in a memory overflow).

Download links

Here are the download links for the packages of this version.

Please, do not include theses links in any website without telling me about before.

Mandatory package (choose one of them)

Optionnal package

Gcc-4.8.1-TDM - 32 bits

Gcc-4.8.1-TDM - 64 bits

Gcc-4.8.1-TDM - x64-32 bits

Gcc-5.1.0-TDM - 32 bits

Gcc-5.1.0-TDM - 64 bits

Gcc-5.1.0-TDM - x64-32 bits

Gcc-7.2.0 - 32 bits

Gcc-7.2.0 - 64 bits

Ms VC++ 2015 - 32 bits

Ms VC++ 2015 - 64 bits